Stable update proposal: slbackup-php

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

Stable update proposal: slbackup-php

Patrick Winnertz-3
Hello,

I would like to request the update of slback-php in debian-edu etch from
version  0.2-2 to 0.3.edu.1-1.  Several errors are fixed in this version.
0.2-2 is not really usefull, but 0.3 is. Furthermore are a lot more
translations included in the new version.

The debdiff between these two versions is attatched.

Greetings
Winnie
--
 .''`.   Patrick Winnertz <[hidden email]>
:  :' :  GNU/Linux Debian-Edu Developer
`. `'`   http://www.der-winnie.de http://d.skolelinux.org/~winnie
  `-  Debian - when you have better things to do than fixing systems

debdiff-slbackup-php.diff (65K) Download Attachment
signature.asc (196 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Stable update proposal: slbackup-php

Morten Werner Forsbring
Patrick Winnertz <[hidden email]> writes:

> I would like to request the update of slback-php in debian-edu etch from
> version  0.2-2 to 0.3.edu.1-1.  Several errors are fixed in this version.
> 0.2-2 is not really usefull, but 0.3 is. Furthermore are a lot more
> translations included in the new version.

Why 0.3.edu.1-1 and not 0.3-1~edu.1 ?? And can you please provide a
diff between 0.2 and 0.3 too? After looking at the debdiff only, I
cannot find an obvious reason why we shouldn't update this package...


- Werner


--
To UNSUBSCRIBE, email to [hidden email]
with a subject of "unsubscribe". Trouble? Contact [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Stable update proposal: slbackup-php

Patrick Winnertz-4
Am Montag, 10. September 2007 09:36:23 schrieb Morten Werner Olsen:
> Patrick Winnertz <[hidden email]> writes:
> > I would like to request the update of slback-php in debian-edu etch
> > from version  0.2-2 to 0.3.edu.1-1.  Several errors are fixed in this
> > version. 0.2-2 is not really usefull, but 0.3 is. Furthermore are a
> > lot more translations included in the new version.
>
> Why 0.3.edu.1-1 and not 0.3-1~edu.1 ?? And can you please provide a
> diff between 0.2 and 0.3 too? After looking at the debdiff only, I
> cannot find an obvious reason why we shouldn't update this package...

It has indeed not much changed between 0.2 and 0.3 . The most important
fixes for debian-edu are:

0.3 contains a reviewed translation by the debian-i18n team. (also the
english was reviewed).  And the css file wasn't included into 0.2. so the
webinterface looks very ugly.

This are the two reasons for me to request the update of slbackup-php.

Greetings
winnie

>
>
> - Werner



--
 .''`.   Patrick Winnertz <[hidden email]>
:  :' :  GNU/Linux Debian-Edu Developer
`. `'`   http://www.der-winnie.de http://d.skolelinux.org/~winnie
  `-  Debian - when you have better things to do than fixing systems


--
To UNSUBSCRIBE, email to [hidden email]
with a subject of "unsubscribe". Trouble? Contact [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Stable update proposal: slbackup-php

Morten Werner Forsbring-2
Patrick Winnertz <[hidden email]> writes:

>> Why 0.3.edu.1-1 and not 0.3-1~edu.1 ?? And can you please provide a
>> diff between 0.2 and 0.3 too? After looking at the debdiff only, I
>> cannot find an obvious reason why we shouldn't update this package...
>
> It has indeed not much changed between 0.2 and 0.3 . The most important
> fixes for debian-edu are:
>
> 0.3 contains a reviewed translation by the debian-i18n team. (also the
> english was reviewed).  And the css file wasn't included into 0.2. so the
> webinterface looks very ugly.
>
> This are the two reasons for me to request the update of slbackup-php.

Can you provide the diff between 0.2 and 0.3?

My first question was about the version-number you've used for the new
package (everything left of '-' is upstream version). I guess
0.3-1~edu.1 or 0.3-0.edu.1 is what you want to use?


- Werner


--
To UNSUBSCRIBE, email to [hidden email]
with a subject of "unsubscribe". Trouble? Contact [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Stable update proposal: slbackup-php

Steffen Joeris
In reply to this post by Morten Werner Forsbring
On Mon, 10 Sep 2007 05:36:23 pm Morten Werner Olsen wrote:
> Patrick Winnertz <[hidden email]> writes:
> > I would like to request the update of slback-php in debian-edu etch from
> > version  0.2-2 to 0.3.edu.1-1.  Several errors are fixed in this version.
> > 0.2-2 is not really usefull, but 0.3 is. Furthermore are a lot more
> > translations included in the new version.
>
> Why 0.3.edu.1-1 and not 0.3-1~edu.1 ?? And can you please provide a
> diff between 0.2 and 0.3 too? After looking at the debdiff only, I
> cannot find an obvious reason why we shouldn't update this package...
I would give it an approval, if you do not disagree Werner.

Our dak version does not support versions with a ~ at the moment.
However, I am wondering why it was needed to bump the version for debian-edu.
It does not do any harm in this case. Nonetheless, it is possible and totally
acceptable to upload exactly the same version to debian-edu -test, then to
debian. It seems that there are real misunderstandings, therefore I suggest
you look at the paragraph under "Some explanations about the suites" from the
archive policy[0]. It is explaint there, but if you have any questions
Patrick, feel free to query me on IRC.

Cheers
Steffen

[0]: http://wiki.debian.org/DebianEdu/ArchivePolicy

signature.asc (196 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Stable update proposal: slbackup-php

Morten Werner Forsbring
Steffen Joeris <[hidden email]> writes:

>> Why 0.3.edu.1-1 and not 0.3-1~edu.1 ?? And can you please provide a
>> diff between 0.2 and 0.3 too? After looking at the debdiff only, I
>> cannot find an obvious reason why we shouldn't update this package...
>
> I would give it an approval, if you do not disagree Werner.

As discussed on IRC, I have removed this package from etch-test. So
please Patrick, can you upload a new one without changing the upstream
version number (0.3-)? Or if you're alright with me of Steffen only
uploads the 0.3-1 from unstable? After that, I agree with accepting it
for the next stable release.

As Petter noticed, slbackup-php did also disappear from the etch-test
DVD.


- Werner


--
To UNSUBSCRIBE, email to [hidden email]
with a subject of "unsubscribe". Trouble? Contact [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Stable update proposal: slbackup-php

Holger Levsen-2
Hi,

what's the status on this? I see that etch-test has 0.3-1 (same as lenny and
sid), but on http://wiki.debian.org/DebianEdu/Status/Etch a request to
approve 0.3.edu.1-1 has been filed.

If 0.3-1 should go into etch, please update
http://wiki.debian.org/DebianEdu/Status/Etch 


regards,
        Holger

attachment0 (196 bytes) Download Attachment